// /utils/loadTDRChartData.ts
import { createTDRChart } from "./chartUtils";

export const loadTDRChartData = (
  selectedFileName: string | null,
  setLoopMeasurementCurveChartData: (data: any) => void
) => {
  if (!selectedFileName) {
    console.error("Kein Dateiname in Redux gespeichert.");
    return;
  }

  const yearFolder = `Year_${new Date().getFullYear().toString().slice(-2)}`;
  const monthFolder = `Month_${(new Date().getMonth() + 1)
    .toString()
    .padStart(2, "0")}`;

  //const filePath = `/CPLmockData/LastTDR/kue_01/${yearFolder}/${monthFolder}/${selectedFileName}`;
  const filePath = `/CPLmockData/LastTDR/jsonDatei/${selectedFileName}`;

  fetch(filePath)
    .then((response) => response.json())
    .then((data) => {
      console.log("Geladene TDR-Daten:", data);
      setLoopMeasurementCurveChartData(data);
      createTDRChart(data);
    })
    .catch((error) => console.error("Fehler beim Laden der TDR-Daten:", error));
};
